### Method

# Ggit Submodule get_url

#### Declaration [src]

    const gchar*
    ggit_submodule_get_url (
      GgitSubmodule* submodule
    )

#### Description [src]

Gets the url for the submodule or `NULL` if the submodule has been deleted but not yet committed.

#### Return value

Type: `const gchar*`

The url for the submodule or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.